Page MenuHomePhabricator

Include a connected container for Quickstatements in the default wikibase docker-compose
Closed, ResolvedPublic5 Story Points

Description

Quickstatements is a useful tool that is also being requested by 3rd party Wikibase installations. We should offer a container for it so it can be easily added to a 3rd party setup.

The QuickStatements code is available at https://phabricator.wikimedia.org/source/tool-quickstatements/

As of recently (https://twitter.com/MagnusManske/status/985850832938815488) this includes specific changes by @Lucas_Werkmeister_WMDE which should enable 3rd party uses.

There is also code available at: https://github.com/goekesmi/tool-quickstatements/ Which was written for the enslaved project and seems that it may no longer depend on magnustools.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 12 2018, 2:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tarrow updated the task description. (Show Details)Apr 17 2018, 7:52 AM
Tarrow added a subscriber: Lucas_Werkmeister_WMDE.
Tarrow added a subscriber: Tarrow.Apr 17 2018, 8:06 AM

For a newly added container to be useful in batchmode it must have bot credentials on the target wiki so that the bot can actually make edits.

Therefore we need to create a bot account + generate credentials on the wiki in the setup step.

We may also need the OAuth Extension (https://www.mediawiki.org/wiki/Extension:OAuth) installed so that users can edit under their own name. This is probably more important than batch mode.

Tarrow moved this task from Backlog to Doing on the User-TArrow board.

For a newly added container to be useful in batchmode it must have bot credentials on the target wiki so that the bot can actually make edits.
Therefore we need to create a bot account + generate credentials on the wiki in the setup step.

So, for the basic image this probably doesn't have to happen, but it should be documented that it is needed.
The image should simply run the service and allow configuration to be passed in.
It is down to users orchestration to tie the things together in a "nice" way

We may also need the OAuth Extension (https://www.mediawiki.org/wiki/Extension:OAuth) installed so that users can edit under their own name. This is probably more important than batch mode.

If we need the OAuth extension then this starts to sound like another extension that would live in the wikibase:1.30+extensions image tag (or something) along with T192080 and other extensions such as the quality extensions etc.

Tarrow claimed this task.Apr 17 2018, 5:45 PM
Tarrow renamed this task from container for Quickstatements to Include a connected container for Quickstatements in the default wikibase docker-compose.Apr 24 2018, 7:09 AM
Tarrow moved this task from Doing to Review on the User-TArrow board.May 16 2018, 1:57 PM
Tarrow moved this task from Doing to Review on the Wikibase-Containers board.May 25 2018, 8:11 AM
Tarrow closed this task as Resolved.Jun 4 2018, 9:10 AM

PR Merged